# Uses of Class
org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer.WrappableTreeViewer

Packages that use WrappableTreeViewer
Package
Description
org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer
org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer.actions

## Uses of WrappableTreeViewer in org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer

Methods in org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer that return WrappableTreeViewer
Modifier and Type
Method
Description
`WrappableTreeViewer`
Navigatable.`getViewer()`
Return the viewer associated with this Navigatable.
Methods in org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer that return types with arguments of type WrappableTreeViewer
Modifier and Type
Method
Description
`protected AbstractStructuredViewerWrapper.ControlAndViewer<org.eclipse.swt.custom.CTabFolder,WrappableTreeViewer>`
EMFCompareStructureMergeViewer.`createControlAndViewer(org.eclipse.swt.widgets.Composite parent)`
Should call `#setViewer(org.eclipse.jface.viewers.Viewer)`.
Constructors in org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer with parameters of type WrappableTreeViewer
Modifier
Constructor
Description
``
`Navigatable(WrappableTreeViewer viewer, EMFCompareStructureMergeViewerContentProvider contentProvider)`

## Uses of WrappableTreeViewer in org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer.actions

Constructors in org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer.actions with parameters of type WrappableTreeViewer
Modifier
Constructor
Description
``
`TimeboxedExpandItemsRunnable(WrappableTreeViewer wrappableTreeViewer, Set<org.eclipse.swt.widgets.TreeItem> itemsToBeExpanded)`
``
`TimeboxedExpandItemsRunnable(WrappableTreeViewer wrappableTreeViewer, Set<org.eclipse.swt.widgets.TreeItem> itemsToBeExpanded, long timeout)`